stages:
  - build
  - test
  - deploy

build_job:
  stage: build
  tags:
    - gitlab-org
  script:
    - sleep 60
    - echo "build_job"
#  rules:
#    - if: '$CI_MERGE_REQUEST_ID == null'
  interruptible: true

test_job:
  stage: test
  tags:
    - gitlab-org
  script:
    - echo "test_job"

deploy_job:
  stage: deploy
  tags:
    - gitlab-org
  script:
    - echo "deploy_job"
#  rules:
#    - if: '$CI_MERGE_REQUEST_ID == null'
  resource_group: $CI_COMMIT_BRANCH
